Summary:	GNU Prolog - a free Prolog compiler with constraint solving over Finite Domains
Summary(es.UTF-8):	Prolog de GNU - un compilador libre de Prolog con resolución de ligaduras sobre dominios finitos
Summary(pl.UTF-8):	GNU Prolog - wolnodostępny kompilator języka Prolog
Summary(pt_BR.UTF-8):	O Prolog GNU
Name:		gprolog
Version:	1.4.4
Release:	3
License:	LGPL v3+ or GPL v2+
Group:		Development/Languages
Source0:	http://www.gprolog.org/%{name}-%{version}.tar.gz
# Source0-md5:	37009da471e5217ff637ad1c516448c8
URL:		http://www.gprolog.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
ExclusiveArch:	%{ix86} %{x8664} alpha ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Prolog is a native Prolog compiler with constraint solving over
finite domains (FD) developed by Daniel Diaz
(http://loco.inria.fr/~diaz/).

GNU Prolog is a very efficient native compiler producing (small)
stand-alone executables. GNU-Prolog also offers a classical
top-level+debugger.

GNU Prolog conforms to the ISO standard for Prolog but also includes a
lot of extensions (global variables, DCG, sockets, OS interface,...).

GNU Prolog also includes a powerful constraint solver over finite
domains with many predefined constraints+heuristics.

%description -l es.UTF-8
GNU Prolog es un compilador nativo de Prolog con resolución de
ligaduras sobre dominios finitos (FD: Finite Domains), desarrollado
por Daniel Diaz (http://loco.inria.fr/~diaz/).

GNU Prolog es un compilador nativo muy eficiente que produce
ejecutables independientes (y pequeños). GNU Prolog también ofrece un
clásico nivel alto y un depurador.

GNU Prolog implementa el estándar ISO para Prolog, sin embargo incluye
un montón de extensiones (variables globales, DCG, sockets, inferfaz
de SO, ...).

GNU Prolog también habilita resolver ligaduras sobre dominios finitos
con varias ligaduras predefinidas y unas heuristicas.

%description -l pl.UTF-8
GNU Prolog jest bezpośrednim kompilatorem Prologu opartym na
rozwiązywaniu problemów z ograniczeniami z dziedziną skończoną (FD),
tworzonym przez Daniela Diaza (http://loco.inria.fr/~diaz/)

GNU Prolog jest bardzo wydajnyym bezpośrednim kompilatorem tworzącym
małe samodzielne programy wykonywalne. GNU-Prolog oferuje też
klasyczny interfejs wysokiego poziomu oraz debugger.

GNU Prolog jest zgodny z standardem ISO języka Prolog oraz oferuje
dodatkowo kilka rozszerzeń (zmienne globalne, DCG, gniazda, interfejs
do systemu operacyjnego...).

GNU Prolog zawiera też poręczny moduł rozwiązywania problemów z
ograniczeniami z dziedziną skończoną, z wieloma predefiniowanymi
ograniczeniami i heurystykami.

%description -l pt_BR.UTF-8
O GNU Prolog é um compilador nativo Prolog.

%package examples
Summary:	Examples for gprolog
Summary(pl.UTF-8):	Przykłady dla gprologa
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-examples = %{version}-%{release}

%description examples
Examples for gprolog.

%description examples -l pl.UTF-8
Przykłady dla gprologa.

%prep
%setup -q

%build
cd src
%{__aclocal}
%{__autoconf}
%configure \
	--prefix=$RPM_BUILD_ROOT \
	--with-install-dir=$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version} \
	--with-c-flags="%{rpmcflags}" \
	--without-links-dir \
	--with-examples-dir=$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	--without-doc-dir \
	--without-html-dir
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install

install -d $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin
for i in *; do
    ln -s ../%{_lib}/%{name}-%{version}/bin/$i $RPM_BUILD_ROOT%{_bindir}/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# COPYING contains also licensing summary
%doc COPYING ChangeLog NEWS README doc/gprolog.ps doc/gprolog.pdf
%attr(755,root,root) %{_bindir}/fd2c
%attr(755,root,root) %{_bindir}/gplc
%attr(755,root,root) %{_bindir}/gprolog
%attr(755,root,root) %{_bindir}/hexgplc
%attr(755,root,root) %{_bindir}/ma2asm
%attr(755,root,root) %{_bindir}/pl2wam
%attr(755,root,root) %{_bindir}/wam2ma
%dir %{_libdir}/%{name}-%{version}
%dir %{_libdir}/%{name}-%{version}/bin
%attr(755,root,root) %{_libdir}/%{name}-%{version}/bin/*
%{_libdir}/%{name}-%{version}/include
%{_libdir}/%{name}-%{version}/lib

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jul 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gprolog.git;a=log;h=master

* Sun Jul 21 2013 Jan Rękorajski <baggins@pld-linux.org> dacb344
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> a094ae3
- release 2 (by relup.sh)

* Mon May 20 2013 Łukasz Kieś <kiesiu@pld-linux.org> c402a4d
- updated to 1.4.4

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> d0295fb
- updated to 1.4.3

* Sat Dec 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 1f52d1a
- updated tarball; release 2

* Sat Dec 01 2012 Jakub Bogusz <qboosh@pld-linux.org> aa5e595
- updated to 1.4.2

* Sun Jul 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> cc03b93
- updated to 1.4.1

* Sun Jan 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 87fff27
- pl fixes
- package COPYING (contains also licensing summary)

* Sun Jul 31 2011 Łukasz Kieś <kiesiu@pld-linux.org> 5c0575c
- updated to 1.4.0
- fixed installing examples
- changed license
- adapterized

* Fri Apr 08 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 81ff861
- builds and works on x86_64

* Fri Apr 08 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 516d7cc
- obsolete

* Fri Apr 08 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c4a5204
- updated to 1.3.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b568f86
- dropped pre-cvs changelog

* Sun May 27 2007 wolf <wolf@pld-linux.org> 85b976b
- cosmetics

* Fri Mar 09 2007 Jakub Bogusz <qboosh@pld-linux.org> f827679
- pl fix, killed subshell

* Sun Feb 25 2007 Jakub Krajniak <jkrajniak@gmail.com> e5352bd
- up to 1.3.0
- subpackage for examples

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> eb8cef3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 842aad9
- converted to UTF-8

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 3461a3c
- cp -a implies cp -r

* Wed Oct 20 2004 undefine <undefine@pld-linux.org> 24e77d6
- fix dirs, release 5

